﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGNullValueComboTest
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }
        public List<string> Names { get; set; }

        string[] names = "Andrew;Alex;Jen;Steve;Eric;Tom;Devin;Emilie;Mike;Rob;Pamela;Valerie;Michelle;Trish".Split(';');        
        

        public ViewModel()
        {
            Names = new List<string>() { string.Empty };            
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i < names.Length; i++)
            {
                Names.Add(names[i]);
                SampleData sd = new SampleData() { ID = i, Name = names[i] };             

                Data.Add(sd);
            }
        }

    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Name { get; set; }     
    }
}
